---
name: Bug report
about: Create a report to help us improve
labels: bug

---

<!-- Help us help you, please take the time to fill this information 🙂.
An incomprehensible bug report is a useless bug report.
Incomprehensible / incomplete bug reports will be closed. -->

**Bug description**
A clear and concise description of what the bug is.

- [ ] I looked at `nativefier --help` and https://github.com/jiahaog/nativefier/blob/master/docs/api.md
- [ ] I searched existing open & closed issues. Yes, my bug is new.
- [ ] I'm using the latest version available at https://github.com/jiahaog/nativefier/releases

**Steps to reproduce**
Give your ***full*** nativefier command, with the ***`--verbose` flag***, on a ***public*** site:
1. Run `nativefier --verbose ...`
2. ...

**Expected behavior**
What you expected to happen.

**Actual behavior**
What happened instead.

**Debug info**
Verbose logs (command-line and/or in app DevTools console), error message, screenshots

**Context**
 - Nativefier: (for example: 8.0.4)
 - Node.js: (for example: 13.11.0)
 - Npm: (for example: 6.14.7)
 - OS: (for example: Windows 10 build 1809)
 - Is it a regression? If yes, what's the last working / first broken version?
 - Additional context: (for example: "I'm behind a proxy, with config. X and protocol Y")
